#include <iostream>
#include <stdio.h>
#include <string.h>
using namespace std;

int main()
{
    char  a[50],b[50],c[50],m[50],t[50];
    scanf("%s%s%s",&a,&b,&c);
    strcpy(t,a);
    strcat(t,b);
    strcat(t,c);
    strcpy(m,t);

    strcpy(t,a);
    strcat(t,c);
    strcat(t,b);
    if(strcmp(t,m)==1)
        strcpy(m,t);

    strcpy(t,b);
    strcat(t,a);
    strcat(t,c);
    if(strcmp(t,m)==1)
        strcpy(m,t);

    strcpy(t,b);
    strcat(t,c);
    strcat(t,a);
    if(strcmp(t,m)==1)
        strcpy(m,t);

    strcpy(t,c);
    strcat(t,a);
    strcat(t,b);
    if(strcmp(t,m)==1)
        strcpy(m,t);

    strcpy(t,c);
    strcat(t,b);
    strcat(t,a);
    if(strcmp(t,m)==1)
        strcpy(m,t);

    puts(m);
}